Bug 460043 - ppc/ppc64 make test failures for zsh, on D02glob.ztst (upstream)
ppc/ppc64 make test failures for zsh, on D02glob.ztst (upstream)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zsh (Show other bugs)
13
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
: Reopened
: 477050 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-25 13:32 EDT by Felipe Contreras
Modified: 2011-06-27 09:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 09:59:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felipe Contreras 2008-08-25 13:32:03 EDT
The package is too old, there are many bugs with the git completion.
Comment 1 James Antill 2008-08-26 01:27:46 EDT
 I tried 4.3.6 but it failed in numerous ways, some of which might be artifacts of building under koji, however after working around some of them ... it finally failed on ppc with what look like regex problems.
 I'm not sure if this is just newer tests at this point, but I'm holding off on the update. So it's probably going to miss Fed-10, unless you (or another Fedora developer) want(s) to help out. The last build is:

http://koji.fedoraproject.org/koji/taskinfo?taskID=786049
http://koji.fedoraproject.org/koji/getfile?taskID=786054&name=build.log
Comment 2 Felipe Contreras 2008-08-26 06:15:05 EDT
It's just one test that failed, can we just skip it this time? The improvements in 4.3.6 are quite a lot.

I can try to fix this if there's no other way. Any estimated time so this can get into F10?
Comment 3 James Antill 2008-08-26 10:18:45 EDT
 As long as Fedora rel-eng will still take the builds (The schedule says end of sept.), I'm happy to include it. I did a bunch of work to workaround the other (mock inspired) failures, so I'd be happy to see it happen ... I just doubt I can afford much more time until Fedora-10 is frozen.

 Also while I _think_ this will be the last failure, that's what I thought the last 2-3 failures I fixed :).
 Obviously you can take the srpm and build it locally, if you don't have time to help fix it for Fedora.
Comment 4 Bug Zapper 2008-11-25 21:51:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 James Antill 2008-12-20 14:26:35 EST
 This still fails with 4.3.9:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1012317

...I added it to the "upstream bugtracker":

https://sourceforge.net/tracker/index.php?func=detail&aid=2454744&group_id=4068&atid=104068

...but there's almost no activity on it, so I wouldn't hold your breath.
Comment 6 James Antill 2008-12-20 14:30:15 EST
*** Bug 477050 has been marked as a duplicate of this bug. ***
Comment 7 Nathan G. Grennan 2008-12-31 01:43:24 EST
Can you try 4.3.5? I suspect you are going to find it has the same problem, but either way it will help narrow down the problem. I would test it myself, but I don't have a ppc or ppc64 machine to test it.

Diff sizes:

2.0M    4to5.patch
2.3M    4to6.patch
3.4M    4to9.patch
Comment 8 Felipe Contreras 2009-02-04 06:02:52 EST
I don't see why the majority of the zsh users have to suffer because of *one* test failure in ppc that actually very few people (if any) would run into.

How many people do globbing patterns such as '[[ fooGRUD = (#i)(bar|(#I)foo|(#i)rod)grud ]]'?
Comment 9 Terje Røsten 2009-02-28 04:11:28 EST
Seems like Debian has 4.3.9, maybe we can get some hints there...

Uhm, they don't run make test at all? They also use --enable-pcre.

 http://packages.debian.org/squeeze/zsh

Could we just skip some more for ppc/ppc64?
Comment 10 James Antill 2009-03-02 11:19:06 EST
I just tried --enable-pcre and that didn't fix ppc* ... but the failure is in globbing, so I didn't hold out much hope.
Yeh, turning off "make test" on ppc* is a possibility ... a sucky one, but maybe the least sucky.
Comment 11 James Antill 2009-03-02 13:11:13 EST
Ok, bit the bullet. Removed pcre again, and removed the failing testcase on ppc* ... *sigh*, leaving this open so we might get a real fix eventually.
Comment 12 Bug Zapper 2009-06-09 05:41:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-04-27 08:12:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-06-28 06:43:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Felipe Contreras 2011-04-22 13:54:02 EDT
I wonder if this could be related to bug #698439.
Comment 16 Bug Zapper 2011-06-02 14:28:31 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2011-06-27 09:59:59 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.